require("lovelymoon/stateManager")
require("lovelymoon/lovelyMoon")
require("maze")

function love.load()
  -- Basic config
  debug = true
  
  -- Set the physics properties
  love.physics.setMeter(32)
  world = love.physics.newWorld(0*love.physics.getMeter(), 0*love.physics.getMeter())
  
  
  addState(MazeState, "maze")
  
  enableState("maze")
end

function love.update(dt)
  lovelyMoon.update(dt)
end

function love.keypressed(key, unicode)
  lovelyMoon.keypressed(key, unicode)
end

function love.resize()
  windowWidth, windowHeight = love.window.getMode()
  
  if isStateEnabled("game") then
    map:resize()
  end
end

function love.draw()
  lovelyMoon.draw()
end

function love.mousepressed(x, y, button)
  lovelyMoon.mousepressed(x, y, button)
end

function love.mousereleased(x, y, button)
  lovelyMoon.mousereleased(x, y, button)
end

function love.keypressed(key, unicode)
  lovelyMoon.keypressed(key, unicode)
end

function love.keyreleased(key, unicode)
  lovelyMoon.keyreleased(key, unicode)
end